/*
* This is a manifest file that'll be compiled into application.css, which will include all the files
* listed below.
*
* Any CSS file within this directory can be referenced here using a relative path.
*
* You're free to add application-wide styles to this file and they'll appear at the top of the
* compiled file, but it's generally better to create a new file per style scope.
*
*= require bootstrap
*= require jquery-ui/jquery-ui
*= require grails
*= require main
*= require mobile
*= require bootstrap3-editable/bootstrap-editable.css
*= require_self
*/

/* countermand the bootstrap default font size as it messes up rem units */
html.elg-gui-ie {
  font-size: 100%;
}

.popover{
    max-width: 100%; /* Max Width of the popover (depending on the container!) */
}

#docView {
    padding-top: 10px;
}

.featureTable td, .featureTable th {
    padding: 2px 5px;
}

.featureTable tr:hover {
    background: #eee;
}

.featureTable tr:not(:last-child) {
    border-bottom: 1px solid #ccc;
}

div.elg-segment {
    position: relative;
    margin-top: 10px;
    padding: 10px;
    border-color:#c0c0c0;
    border-width: 1px;
    border-style: solid;
}

span.elg-segment-role {
    background-color: white;
    position: absolute;
    font-size: 75%;
    color: #888;
    top: -1em;
    padding: 0 4px;

    /* Make the role label unselectable, to make it easier to copy and
     * paste a whole multi-segment response without the labels. */
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
}

div.elg-alternative-selector {
    margin-bottom: 5px;
}

div.elg-alternative-info {
    display: inline-block;
    text-align: center;
    vertical-align: middle;
}

#filedata, #submit-form {
    margin-top: 0.5em;
}

/* Hide service params by default, unless we need to display them */
#service-params {
    display: none;
}

#param-checkbox-template {
    display: none;
}

#service-params tr {
    min-height: 48px;
}

#service-params tbody {
    border-top: 1px solid #c0c0c0;
}

#service-params td, #service-params th {
    padding-right: 5px;
}

/* classes for multi-valued features */
td.elg-expand-control {
    width: 1px;
    white-space: nowrap;
    vertical-align: top;
}

a.elg-feature-value-url {
    white-space: nowrap;
}

a.removeFeature {
    text-decoration: none;
    cursor: pointer;
}

#annotationSelector label {
    display: block;
}

#waveform .wavesurfer-region.selected {
    border: 2px solid #db4800;
}

/* Samples */
#samples-container {
    position: relative;
}

#samples-list {
    max-height: 15em;
    overflow-y: scroll;
    background: #f7f7f7;
}

#samples-list .sample-card {
    margin: 6px;
}

#samples-list .sample-tag {
    padding: 0 12px;
    margin-bottom: 0;
}

#samples-list .sample-text {
    margin: 10px 12px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

#sample-spinner-holder, #samples-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #ddd;
    opacity: 0.8;
    z-index: 1;
}

#sample-spinner {
    top:0;
    left:0;
    bottom:0;
    right:0;
    position: absolute;
    margin: auto;
}

#image-canvas {
    max-width: 100%;
}

/* Override min-height on dependency tree view */
#treeView div[svg] {
    min-height: inherit;
}
/* js-treex-view can't handle RTL rendering */
#treeView {
    direction: ltr;
}


/* sample helper iframes should be invisible */
iframe.sample-helper-iframe {
    position: absolute;
    width: 0;
    height: 0;
    border: 0;
}

